with Ada.Text_Io, Ada.Integer_Text_Io;
use Ada.Text_Io, Ada.Integer_Text_Io;

procedure Main is
  Number : Integer; 								--Number read in
  Ch : Character; 									--As a character
  My_Beep_Exception : Exception;
begin
  loop
    begin
      Put("Enter character code : "); 				--Ask for number
      exit when End_Of_File; 						--EOF ? (= ^Z ;-)
      Get( Number ); --Skip_Line; 					--Read number
      if Number = 7 then 
        raise My_Beep_Exception;
      end if;  
      Put("Represents the character ["); 			--Valid number
      Put( Character'Val(Number) );
      Put("]"); 									--Valid character
      New_Line;
    exception
      when Data_Error =>                           
        Put("Not a valid Number"); Skip_Line; 		--Exception
        New_Line;
      when Constraint_Error =>
        Put("Not representable as a Character]"); 	--Exception
        New_Line;
      when End_Error =>
        Put("Unexpected end of data"); 				--Exception
        New_Line; 	
        exit;
      when My_Beep_Exception =>
        Put("Misto pipnuti vypisu tuhle hlasku");  	--Exception
        New_Line;
    end;
  end loop;
end Main;
